org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MathTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MathTest

- Direct Known Subclasses:
    MathTest.Traversals

      public abstract class MathTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MathTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_outXcreatedX_asXbX_mathXb_plus_aX_byXinXcreatedX_countX_byXageX()`
    `void` | `g_V_asXaX_outXknowsX_asXbX_mathXa_plus_bX_byXageX()`
    `void` | `g_V_hasXageX_valueMap_mathXit_plus_itXbyXselectXageX_unfoldXX()`
    `void` | `g_V_outE_mathX0_minus_itX_byXweightX()`
    `void` | `g_V_projectXa_b_cX_byXbothE_weight_sumX_byXbothE_countX_byXnameX_order_byXmathXa_div_bX_descX_selectXcX()`
    `void` | `g_withSackX1X_injectX1X_repeatXsackXsumX_byXconstantX1XXX_timesX5X_emit_mathXsin__X_byXsackX()`
    `void` | `g_withSideEffectXx_100X_V_age_mathX__plus_xX()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_asXaX_outXcreatedX_asXbX_mathXb_plus_aX_byXinXcreatedX_countX_byXageX()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_asXaX_outXknowsX_asXbX_mathXa_plus_bX_byXageX()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_hasXageX_valueMap_mathXit_plus_itXbyXselectXageX_unfoldXX()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_outE_mathX0_minus_itX_byXweightX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_projectXa_b_cX_byXbothE_weight_sumX_byXbothE_countX_byXnameX_order_byXmathXa_div_bX_descX_selectXcX()`
    `abstract Traversal<Integer,Double>` | `get_g_withSackX1X_injectX1X_repeatXsackXsumX_byXconstantX1XXX_timesX5X_emit_mathXsin__X_byXsackX()`
    `abstract Traversal<Vertex,Double>` | `get_g_withSideEffectXx_100X_V_age_mathX__plus_xX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MathTest

          public MathTest()

  - ### Method Detail

    - #### get_g_V_outE_mathX0_minus_itX_byXweightX

          public abstract Traversal<Vertex,Double> get_g_V_outE_mathX0_minus_itX_byXweightX()

    - #### get_g_V_hasXageX_valueMap_mathXit_plus_itXbyXselectXageX_unfoldXX

          public abstract Traversal<Vertex,Double> get_g_V_hasXageX_valueMap_mathXit_plus_itXbyXselectXageX_unfoldXX()

    - #### get_g_V_asXaX_outXknowsX_asXbX_mathXa_plus_bX_byXageX

          public abstract Traversal<Vertex,Double> get_g_V_asXaX_outXknowsX_asXbX_mathXa_plus_bX_byXageX()

    - #### get_g_withSideEffectXx_100X_V_age_mathX__plus_xX

          public abstract Traversal<Vertex,Double> get_g_withSideEffectXx_100X_V_age_mathX__plus_xX()

    - #### get_g_V_asXaX_outXcreatedX_asXbX_mathXb_plus_aX_byXinXcreatedX_countX_byXageX

          public abstract Traversal<Vertex,Double> get_g_V_asXaX_outXcreatedX_asXbX_mathXb_plus_aX_byXinXcreatedX_countX_byXageX()

    - #### get_g_withSackX1X_injectX1X_repeatXsackXsumX_byXconstantX1XXX_timesX5X_emit_mathXsin__X_byXsackX

          public abstract Traversal<Integer,Double> get_g_withSackX1X_injectX1X_repeatXsackXsumX_byXconstantX1XXX_timesX5X_emit_mathXsin__X_byXsackX()

    - #### get_g_V_projectXa_b_cX_byXbothE_weight_sumX_byXbothE_countX_byXnameX_order_byXmathXa_div_bX_descX_selectXcX

          public abstract Traversal<Vertex,String> get_g_V_projectXa_b_cX_byXbothE_weight_sumX_byXbothE_countX_byXnameX_order_byXmathXa_div_bX_descX_selectXcX()

    - #### g_V_outE_mathX0_minus_itX_byXweightX

          public void g_V_outE_mathX0_minus_itX_byXweightX()

    - #### g_V_hasXageX_valueMap_mathXit_plus_itXbyXselectXageX_unfoldXX

          public void g_V_hasXageX_valueMap_mathXit_plus_itXbyXselectXageX_unfoldXX()

    - #### g_V_asXaX_outXknowsX_asXbX_mathXa_plus_bX_byXageX

          public void g_V_asXaX_outXknowsX_asXbX_mathXa_plus_bX_byXageX()

    - #### g_withSideEffectXx_100X_V_age_mathX__plus_xX

          public void g_withSideEffectXx_100X_V_age_mathX__plus_xX()

    - #### g_V_asXaX_outXcreatedX_asXbX_mathXb_plus_aX_byXinXcreatedX_countX_byXageX

          public void g_V_asXaX_outXcreatedX_asXbX_mathXb_plus_aX_byXinXcreatedX_countX_byXageX()

    - #### g_withSackX1X_injectX1X_repeatXsackXsumX_byXconstantX1XXX_timesX5X_emit_mathXsin__X_byXsackX

          public void g_withSackX1X_injectX1X_repeatXsackXsumX_byXconstantX1XXX_timesX5X_emit_mathXsin__X_byXsackX()

    - #### g_V_projectXa_b_cX_byXbothE_weight_sumX_byXbothE_countX_byXnameX_order_byXmathXa_div_bX_descX_selectXcX

          public void g_V_projectXa_b_cX_byXbothE_weight_sumX_byXbothE_countX_byXnameX_order_byXmathXa_div_bX_descX_selectXcX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.